package net.knarcraft.bookswithoutborders.command;

import net.knarcraft.bookswithoutborders.BooksWithoutBorders;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;

/**
 * Command executor for the reload command
 */
public class CommandReload implements CommandExecutor {

    private final BooksWithoutBorders booksWithoutBorders;

    public CommandReload(BooksWithoutBorders booksWithoutBorders) {
        this.booksWithoutBorders = booksWithoutBorders;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if (booksWithoutBorders.loadConfig() && booksWithoutBorders.loadExistingPlayers()) {
            BooksWithoutBorders.sendSuccessMessage(sender, "BooksWithoutBorders configuration reloaded!");
        } else {
            BooksWithoutBorders.sendErrorMessage(sender, "Reload Failed!");
            BooksWithoutBorders.sendErrorMessage(sender, "See console for details");
        }
        return true;
    }

}
